#******************************************************
# Loads Camera Data from a CSV file
# 
# - loadcameradata.py
# - By Mark Caldwell
# - Version 0.4
# - 18th October 2020
# - Copyright Mark Caldwell 2006
# - Tested with Vue R5 (2020
#
# How to use in 3 easy steps
#
# 1. Download this file onto your computer
#
# 2. Change Path to Saved File if required and camera to be edited
#
# 3. Then run script and wait for it to work
#    To run it go to Python -> Run Python Script
#    Then locate the file on your computer
# 
#******************************************************

#-------------------------------------------------------------------
# Change yo the same as savecameradata.py
#-------------------------------------------------------------------

#Filename to Load Data From - Change if different on your computer
filename="C:/Users/foo/Documents/e-on software/camera.csv"

#----------------------------------------------
# End of Changeable Parts
#----------------------------------------------

frames=[]

#----------------------------------------------
# Select or create the Camera
#----------------------------------------------

cam=StoreCamera  ()
SelectByType(VuePython.VOT_Camera)
camobj = GetSelectedObjectByIndex(0)
cam=camobj.ToCamera()

#----------------------------------------------
# Read Camera Data in from CSV file
#----------------------------------------------

file=open(filename,'r')
      
while 1:
    line = file.readline()
    if not(line):
        break
            
    b=line.split(',')
    frames.append([float(b[0]),float(b[1]),float(b[2]),float(b[3]),float(b[4]),float(b[5]),float(b[6]),
                   float(b[7]),float(b[8]),float(b[9]),float(b[10]),float(b[11]),float(b[12]),float(b[13])])

file.close()

#----------------------------------------------
# Apply animation
#----------------------------------------------

for data in frames:
    SetCurrentFrame (data[0])
    camobj.SetPosition(data[1],data[2],data[3])
    camobj.SetRotationAngles(data[4],data[5],data[6],True)
    cam.SetDepthOfField(data[7])   	
    cam.SetExposure (data[8])
    cam.SetFocal (data[9])
    cam.SetFocusDistance (data[10])
    cam.SetLensAberration (data[11])
    cam.SetHorizontalFilmShift(data[12])
    cam.SetVerticalFilmShift (data[13])

Refresh ()
    
#----------------------------------------------
# End of Script
#----------------------------------------------    
   

    

